#include "./manual.h"
#include "./home.h"
#include "./move.h"
#include "include/metrics.h"
#include "lib/settings.h"
#include "../state.h"



void ManualScreen::initHeights()
{
  this->height = Control.getCurrentHeight();
}


bool ManualScreen::nextPage()
{
  if (this->height == Control.getCurrentHeight())
  {
    this->screenManager->show<HomeScreen>();
    return false;
  }

  MoveReturnScreen = this->screenId();
  Control.moveStart(this->height);

  this->screenManager->show<MoveScreen>();
  return false;
}



void ManualScreen::setHeight(uint16_t value)
{
  if (value < Settings.Height.Minimum)
    this->height = Settings.Height.Minimum;
  else if (value > Settings.Height.Maximum)
    this->height = Settings.Height.Maximum;
  else
    this->height = value;
}